CSG.cstm = {
    starGive: function( number, instant = false ) {
        var now = '';
        if ( instant ) {
            now = ' quick';
        } else {
            CSG.aud.play('win');
        }
        $('.csg-activity-star[data-activity="'+number+'"]').addClass('solved' + now);
        $('.csg-activity-medal[data-activity="'+number+'"]').addClass('solved' + now);
    },
    letterPreview: function( number ) {
        $('.csg-printer-blink').addClass('csg-active');
        $('.csg-printer-blink').addClass('csg-pointer-blink-'+number);
    },
    letterPreviewRemove: function( id ) {
        $('.csg-printer-blink').removeClass('csg-active');
        $('.csg-printer-blink').removeClass('csg-pointer-blink-0');
        $('.csg-printer-blink').removeClass('csg-pointer-blink-1');
        $('.csg-printer-blink').removeClass('csg-pointer-blink-2');
        $('.csg-printer-blink').removeClass('csg-pointer-blink-3');
        $('.csg-printer-blink').removeClass('csg-pointer-blink-4');
    },
    letterGive: function( number, instant = false ) {
        var now = '';
        if ( instant ) {
            now = ' quick';
            $('.csg-printer-block-'+number).addClass('csg-active');
        } else {
            CSG.aud.play('print-quick');
            $('.csg-printer-block-'+number).addClass('csg-active delay');
        }
        $('.csg-letter[data-letter="'+number+'"]').addClass('solved' + now);
    },
    letterAndStarCheck: function() {
        if ( CSG.stt.alerts.length === 0 ) {
            for ( var a = 0; a <= 15; a++ ) {
                CSG.stt.alerts[a] = 0;
            }
        }
        for ( var a = 0; a <= 15; a++ ) {
            if ( CSG.stt.alerts[a] === 1) {
                CSG.cstm.starGive( a, true );
                if ( a === 0 ||
                        a === 4 ||
                        a === 10 ||
                        a === 13 ||
                        a === 15 ) {
                    var l = 0;
                    if ( a === 4 ) {
                        l = 1;
                    } else if ( a === 10 ) {
                        l = 2;
                    } else if ( a === 13 ) {
                        l = 3;
                    } else if ( a === 15 ) {
                        l = 4;
                    }
                    CSG.cstm.letterGive( l, true );
                    CSG.cstm.letterPreviewRemove(l);
                }
            }
        }
        
    },
    messageCheck: function() {
        var size = $('.csg-activity-icon').length;
        var c = [];
        var s = [];
        
        for ( var a = 0; a < size; a++ ) {
            c[a] = parseInt( $('.csg-activity-icon[data-activity="'+a+'"]').attr('data-status') );
            s[a] = CSG.stt.alerts[a];
            if ( CSG.stt.alerts.length === 0 ) {
                s[a] = 0;
            }
        }
        if ( CSG.stt.alerts.length === 0 ) {
            CSG.stt.alerts = s;
        }
        for ( var a = 0; a < size; a++ ) {
            if ( a !== 1 ) {
                if ( c[a] === 6 && s[a] === 0 ) {
                    CSG.msg.add('message-'+a);
                    break;
                } else if ( c[a] === 6 && s[a] === 1 ) {
                    CSG.cstm.starGive( a, true );
                    if ( a === 0 ||
                            a === 4 ||
                            a === 10 ||
                            a === 13 ||
                            a === 15 ) {
                        var l = 0;
                        if ( a === 4 ) {
                            l = 1;
                        } else if ( a === 10 ) {
                            l = 2;
                        } else if ( a === 13 ) {
                            l = 3;
                        } else if ( a === 15 ) {
                            l = 4;
                        }
                        CSG.cstm.letterGive( l, true );
                        CSG.cstm.letterPreviewRemove(l);
                    }
                }
            } else {
                if ( c[a] > 1 && s[a] === 0 ) {
                    CSG.msg.add('message-'+a);
                    break;
                } else if ( c[a] === 6 && s[a] === 1 ) {
                    CSG.cstm.starGive( a, true );
                }
                
            }
        }
        var completedAll = true
        for ( var a = 0; a < size; a++ ) {
            if ( s[a] === 0 ) {
                completedAll = false;
            }
        }
        if ( completedAll ) {
            CSG.msg.add('complete');
        }
        
    },
    avatarPosition: function( position, instant = false ) {
        if ( parseInt( $('#csg-player').attr('data-position') ) !== position || position === 'start' ) {
            $('#csg-player').attr('data-position', position );
            $('#csg-player').removeClass('csg-instant');
            if ( position !== 'start' ) {

                var tX = parseInt( $('.csg-activity-icon[data-activity="'+position+'"]').css('left') );
                var tY = parseInt( $('.csg-activity-icon[data-activity="'+position+'"]').css('top') );
                var tW = parseInt( $('.csg-activity-icon[data-activity="'+position+'"]').width() );
                var tH = parseInt( $('.csg-activity-icon[data-activity="'+position+'"]').height() );

                var pW = parseInt( $('#csg-player').width() );
                var pH = parseInt( $('#csg-player').height() );

                var left = tX + ( tW / 2 ) - ( pW / 2 ) + 'px';
                var top = tY + ( tH / 4 ) - ( pH / 2 ) + 20 + 'px';

                $('#csg-player').css( 'left', left );
                $('#csg-player').css( 'top', top );
                if ( !instant ) {
                    CSG.aud.play('jump');
                }

            } else {
                $('#csg-player').attr('data-position', 'start');
                $('#csg-player').css( 'left', '' );
                $('#csg-player').css( 'top', '' );
            }

            if ( instant ) {
                $('#csg-player').addClass('csg-instant');
            } else {
                $('#csg-player').addClass('csg-jump');
                var timeout = parseInt( $('#csg-player').css('animation-duration') ) * 1000;
                setTimeout(function() {
                    $('#csg-player').removeClass('csg-jump');
                }, timeout );
            }
        }
        CSG.stt.position = position;
    },
    avatarUpdate: function() {
        $('#csg-player').attr('data-avatar', CSG.stt.avatar );
    },
    avatarSet: function( number ) {
        CSG.stt.avatar = number;
        $('.csg-hidden-option ').removeClass('csg-hidden-option ');
        $('.csg-avatar-choose').removeClass('selected');
        $('.csg-avatar-choose-'+number).addClass('selected');
        CSG.cstm.avatarUpdate();
    },
    typewriterText: '',
    typewriterLineChar: [],
    typewriterNew: function( text ) {
        
        $('.csg-robot-option').removeClass('csg-active');
        text = text.replaceAll( '%USERNAME%', CSG.tmp.userName );
        text = text.split( '%BR%' );
        CSG.cstm.typewriterText = text;
        CSG.cstm.typewriterLineChar = [0,0];
        CSG.cstm.typewriter();
    },
    typewriter: function() {
        var text = CSG.cstm.typewriterText;
        var length = text.length;
        var line = 0;
        var typed = $('.csg-robot-text').last().html();
        var line = CSG.cstm.typewriterLineChar[0];
        var char = CSG.cstm.typewriterLineChar[1];
        if ( line < CSG.cstm.typewriterText.length && char < CSG.cstm.typewriterText[line].length  ) {
            
            var newChar = text[line][char];
            $('.csg-robot-text').html( typed + newChar);
            CSG.aud.play('typing');
            var loop = false;

            if ( CSG.cstm.typewriterLineChar[1] + 1 < CSG.cstm.typewriterText[line].length ) {
                CSG.cstm.typewriterLineChar[1] += 1;
                loop = true;
            } else {
                if ( CSG.cstm.typewriterLineChar[0] < CSG.cstm.typewriterText.length ) {
                    $('.csg-robot-text').html( typed + newChar +  '<br>');
                    CSG.cstm.typewriterLineChar[0] += 1;
                    CSG.cstm.typewriterLineChar[1] = 0;
                    loop = true;
                }
            }
            if ( loop ) {
                setTimeout(function() {
                    CSG.cstm.typewriter();
//                }, 20 );
                }, 1 );
                
            } else {
                CSG.aud.stop('typing');
            }
        } else {
            $('.csg-robot-option').addClass('csg-active');
            CSG.aud.stop('typing');
        }
    },
    popup: '',
    openPopup: function( activity ) {
        CSG.cstm.avatarPosition( activity );
        var timeout = parseInt( $('#csg-player').css('animation-duration') ) * 1000 + 1000;
        setTimeout(function() {
            $('#csg-popup-block-window').addClass('csg-active');
            var href = CSG.cfg.activities[ activity ].referenceLink.getAttribute('href');
            CSG.aud.stop('bg-music');
            popup = window.open( href, 'casugaPopup', 'width='+screen.availWidth+',height='+screen.availHeight+',location=no,status=no,menubar=no,toolbar=no,resizable=no,scrollbars=1,fullscreen=no');
            CSG.cstm.checkPopupClosed();
            CSG.gm.save();
        }, timeout );
    },
    checkPopupClosed: function() {
        if  ( popup.closed === false ) {
            setTimeout( function() {
                CSG.cstm.checkPopupClosed();
            }, 100);
        } else {
            location.reload(); 
        }
    },
    speechCheck: function() {
        
        var audio0 = $('#csg-audio-0');
        audio0.on('timeupdate', function() {
            $('.csg-activity[data-activity="0"]').parent().addClass('csg3d-can-touch-this')
//            $('.csg3d-prop-player').addClass('csg3d-can-touch-this');
            var ctime = audio0[0].currentTime;
            $('.csg3d-prop-player').addClass('csg3d-speak');
            if ( 
                ctime < 0.6 ||
                ctime > 4.4 && ctime < 4.6 ||
                ctime > 5.8 && ctime < 6 ||
                ctime > 8.6
                ) {
                $('.csg3d-prop-player').addClass('csg3d-speak-pause');
            } else {
                $('.csg3d-prop-player').removeClass('csg3d-speak-pause');
                        
            }
        });
        audio0.on('ended', function() {
            $('.csg3d-prop-player').removeClass('csg3d-speak');
            $('.csg3d-prop-player').removeClass('csg3d-speak-pause');
            CSG.stt.flags[0] = 1;
            CSG.cstm.paused = false;
        });
        
    }
}