CSG.cfg = {
    client: 'dod',
    board: 'dod',
    mode: 'debug',
    gameName: 'moodle_dod_pt', //No spaces
    LMS: 'MOODLE', //Either 'auto', or specific: 'CSOD'
    percent: 'auto', //Either 'auto' or based on 'LMS'
    audio: [
        {
            id: 'bg-music',
            src: 'bgmusic.mp3',
            type: 'music',
            loop: true
        },
        {
            id: 'typing',
            src: 'typing.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'jump',
            src: 'jump.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'win',
            src: 'win.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'entry',
            src: 'entry.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'print',
            src: 'print.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'print-quick',
            src: 'print-quick.mp3',
            type: 'audio',
            loop: false
        },
        {
            id: 'bip',
            src: 'bip.mp3',
            type: 'audio',
            loop: false
        }
    ],
    templates: {
        // HTML do tabuleiro
        boardStart: '<div id="csg-board"><div class="csg-loading-container"><div class="csg-loading-item"></div></div>',
        boardEnd: '</div>',
        groupStart: '',
        groupEnd: '',
        activityStart: '',
        activityEnd: '',
        boardExtras: `
        <div id="csg-boardgame">
            <div data-activity="0" class="csg-activity csg-activity-icon csg-intro-video csg-board-after" ></div>

            <div data-activity="1" class="csg-activity csg-activity-icon csg-game" ></div>

            <div data-activity="2" class="csg-activity csg-activity-icon csg-video csg-board csg-board-after" style="left: 722px; top: 848px;"></div>
            <div data-activity="3" class="csg-activity csg-board" style="left: 822px; top: 848px;"></div>
            <div data-activity="3" class="csg-activity csg-board csg-corner" style="left: 822px; top: 946px; transform: rotate(-90deg);"></div>
            <div data-activity="3" class="csg-activity csg-activity-icon csg-scorm csg-board csg-board-after" style="left: 920px; top: 946px;"></div>
            <div data-activity="4" class="csg-activity csg-board" style="left: 1016px; top: 946px;"></div>
            <div data-activity="4" class="csg-activity csg-activity-icon csg-quiz csg-board csg-board-after" style="left: 1113px; top: 946px;"></div>

            <div data-activity="5" class="csg-activity csg-activity-icon csg-video csg-board csg-board-after" style="left: 722px; top: 719px;"></div>
            <div data-activity="6" class="csg-activity csg-board" style="left: 822px; top: 719px;"></div>
            <div data-activity="6" class="csg-activity csg-board" style="left: 920px; top: 719px;"></div>
            <div data-activity="6" class="csg-activity csg-activity-icon csg-scorm csg-board csg-board-after" style="left: 1016px; top: 719px;"></div>
            <div data-activity="7" class="csg-activity csg-board" style="left: 1113px; top: 719px;"></div>
            <div data-activity="7" class="csg-activity csg-activity-icon csg-quiz csg-board csg-board-after" style="left: 1212px; top: 719px;"></div>

            <div data-activity="8" class="csg-activity csg-activity-icon csg-video csg-board csg-board-after" style="left: 722px; top: 522px;"></div>
            <div data-activity="9" class="csg-activity csg-board" style="left: 822px; top: 522px;"></div>
            <div data-activity="9" class="csg-activity csg-board" style="left: 920px; top: 522px;"></div>
            <div data-activity="9" class="csg-activity csg-activity-icon csg-scorm csg-board csg-board-after" style="left: 1016px; top: 522px;"></div>
            <div data-activity="10" class="csg-activity csg-board" style="left: 1113px; top: 522px;"></div>
            <div data-activity="10" class="csg-activity csg-activity-icon csg-quiz csg-board csg-board-after" style="left: 1212px; top: 522px;"></div>

            <div data-activity="11" class="csg-activity csg-activity-icon csg-video csg-board csg-board-after" style="left: 722px; top: 395px;"></div>
            <div data-activity="12" class="csg-activity csg-board" style="left: 822px; top: 395px;"></div>
            <div data-activity="12" class="csg-activity csg-board csg-corner" style="left: 822px; top: 296px;"></div>
            <div data-activity="12" class="csg-activity csg-activity-icon csg-scorm csg-board csg-board-after"style="left: 920px; top: 296px;"></div>
            <div data-activity="13" class="csg-activity csg-board" style="left: 1016px; top: 296px;"></div>
            <div data-activity="13" class="csg-activity csg-activity-icon csg-quiz csg-board csg-board-after" style="left: 1113px; top: 296px;"></div>

            <div data-activity="14" class="csg-activity csg-activity-icon csg-scorm csg-board csg-board-after" style="left: 722px; top: 156px;"></div>
            <div data-activity="15" class="csg-activity csg-board" style="left: 822px; top: 156px;"></div>
            <div data-activity="15" class="csg-activity csg-board" style="left: 920px; top: 156px;"></div>
            <div data-activity="15" class="csg-activity csg-board" style="left: 1016px; top: 156px;"></div>
            <div data-activity="15" class="csg-activity csg-board" style="left: 1113px; top: 156px;"></div>
            <div data-activity="15" class="csg-activity csg-activity-icon csg-quiz csg-board csg-board-after"  style="left: 1212px; top: 156px;"></div>
            <div id="csg-player"></div>
            <div id="csg-player-printer"></div>
            <div id="csg-showcase"></div>
            <div id="csg-showcase-2"></div>
            <div id="csg-showcase-3"></div>
            <div id="csg-showcase-4"></div>
            <div id="csg-showcase-5"></div>
            <div id="csg-showcase-6"></div>
            <div class="csg-cu-label csg-cu-label-A"></div>
            <div class="csg-cu-label csg-cu-label-B"></div>
            <div class="csg-cu-label csg-cu-label-C"></div>
            <div class="csg-cu-label csg-cu-label-D"></div>
            <div class="csg-cu-label csg-cu-label-E"></div>
        <div id="csg-info-mask"></div>
        </div>


        <div data-activity="0" class="csg-activity csg-activity-star" title="DOD Game"></div>
        <div data-activity="1" class="csg-activity csg-activity-medal" title="DOD Game"></div>

        <div data-activity="2" class="csg-activity csg-activity-star" title="CUA Video"></div>
        <div data-activity="3" class="csg-activity csg-activity-star" title="CUA SCORM"></div>
        <div data-activity="4" class="csg-activity csg-activity-star" title="CUA Quiz"></div>

        <div data-activity="5" class="csg-activity csg-activity-medal" title="CUB Video"></div>
        <div data-activity="6" class="csg-activity csg-activity-medal" title="CUB SCORM"></div>
        <div data-activity="7" class="csg-activity csg-activity-medal" title="CUB Quiz"></div>

        <div data-activity="8" class="csg-activity csg-activity-star" title="CUC Video"></div>
        <div data-activity="9" class="csg-activity csg-activity-star" title="CUC SCORM"></div>
        <div data-activity="10" class="csg-activity csg-activity-star" title="CUC Quiz"></div>

        <div data-activity="11" class="csg-activity csg-activity-star" title="CUD Video"></div>
        <div data-activity="12" class="csg-activity csg-activity-star" title="CUD SCORM"></div>
        <div data-activity="13" class="csg-activity csg-activity-star" title="CUD Quiz"></div>

        <div data-activity="14" class="csg-activity csg-activity-star" title="CUE SCORM"></div>
        <div data-activity="15" class="csg-activity csg-activity-star" title="CUE Quiz"></div>
        
        <div class="csg-printer-blink"></div>
        <div data-letter="0" class="csg-letter"></div>
        <div data-letter="1" class="csg-letter"></div>
        <div data-letter="2" class="csg-letter"></div>
        <div data-letter="3" class="csg-letter"></div>
        <div data-letter="4" class="csg-letter"></div>
        <div data-letter="0" class="csg-letter-printer"></div>
        <div data-letter="1" class="csg-letter-printer"></div>
        <div data-letter="2" class="csg-letter-printer"></div>
        <div data-letter="3" class="csg-letter-printer"></div>
        <div data-letter="4" class="csg-letter-printer"></div>
        <div class="csg-printer-block csg-printer-block-0"></div>
        <div class="csg-printer-block csg-printer-block-1"></div>
        <div class="csg-printer-block csg-printer-block-2"></div>
        <div class="csg-printer-block csg-printer-block-3"></div>
        <div class="csg-printer-block csg-printer-block-4"></div>
        
        <div id="csg-popup-block-window">
            <div class="csg-popup-block-message">Feche todas as janelas de popup ou recarregue esta página.</div>
        </div>
        <div class="csg-exit" onclick="CSG.msg.add('exit');" title="Exit"></div>
        <div class="csg-music-button csg-music-button-on" onclick="CSG.aud.change('off', 'music');$('.csg-music-button-off').show();$('.csg-music-button-on').hide();CSG.gm.save();" title="Desligar música"></div>
        <div class="csg-music-button csg-music-button-off" onclick="CSG.aud.change('on', 'music');$('.csg-music-button-on').show();$('.csg-music-button-off').hide();CSG.gm.save();" title="Ligar música"></div>
        <div class="csg-info" onclick="CSG.msg.add('tutorial2');" title="Tutorial"></div>
        
                `,
        extras: '',
        
        // Valores standard do tabuleiro
        points: 100,
        groupMax: 11,
        activityClick: function() {CSG.activity.launch(CSG.tmp.activityClicked);},
        rules: 'sequence' // Como restringir o avanço no jogo, livre ('free'), atividade sequenciais ('sequence'), grupos sequenciais ('group-sequence')
    },
    activities: [ //Aqui vamos colocar os elementos indentificadores de cada nível no CSOD
        
        { // Atividade 13
            name: 'General Video',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                
                CSG.cstm.openPopup(0);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: []
        },
        { // Atividade 1
            name: 'DOD Game',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(1);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [0]
        },
        { // Atividade 2
            name: 'CUA Video',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(2);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [0]
        },
        { // Atividade 3
            name: 'CUA SCORM',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(3);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [1]
        },
        { // Atividade 4
            name: 'CUA Quiz',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(4);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [2]
        },
        { // Atividade 5
            name: 'CUB Video',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(5);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [0]
        },
        { // Atividade 6
            name: 'CUB SCORM',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(6);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [3]
        },
        { // Atividade 7
            name: 'CUB Quiz',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(7);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [4]
        },
        { // Atividade 8
            name: 'CUC Video',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(8);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [0]
        },
        { // Atividade 9
            name: 'CUC SCORM',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(9);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [5]
        },
        { // Atividade 10
            name: 'CUC Quiz',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(10);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [6]
        },
        { // Atividade 11
            name: 'CUD Video',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(11);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [0]
        },
        { // Atividade 12
            name: 'CUD SCORM',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(12);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [7]
        },
        { // Atividade 13
            name: 'CUD Quiz',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(13);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [8]
        },
        { // Atividade 14
            name: 'CUE SCORM',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(14);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [10]
        },
        { // Atividade 15
            name: 'CUE Quiz',
            type: 0,
            //state: '',
            description: '',
            //referenceLink: '',
            group: 0,
            click: function() {
                CSG.gm.save();
                CSG.cstm.openPopup(15);
            },
            points: 0,
            hidden: false,
            dateStart: '',
            dateEnd: '',
            dateEndStatus: null,
            dateEndFlag: null,
            rules: [9]
        }
    ],
    rules: [
        { // Rule 0
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [0],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 1
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [2],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 2
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [3],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 3
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [5],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 4
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [6],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 5
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [8],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 6
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [9],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 7
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [11],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 8
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [12],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 9
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [14],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        },
        { // Rule 10
            locked: [], 
            unlocked: [],
            visited: [],
            near: [],
            failed: [],
            expired: [],
            completed: [4, 10, 13],
            totalLocked: null,
            totalUnlocked: null,
            totalVisited: null,
            totalFailed: null,
            totalExpired: null,
            totalCompleted: null,
            score: [0, 999999999],
            date: ['2020 1 1', '2100 12 31']
        }
    ],
    rulesControl: 'auto', //'auto', using CSG, or null
    levels: 0,
    messages: {
        'missing': {
            classes: ' csg-missing csg-intro',
            load: function() {},
            text: '<div class="csg-title">OH NÃO!</div><p>Desculpe <div class="csg-username"></div>, mas não encontrámos a mensagem que procura...</p>',
            buttons: [
                {
                    classes: ' ',
                    check: function() {return true;},
                    text: 'Sair',
                    action: function() {
                        CSG.msg.exit();
                    }
                }
            ]
        },
        'intro': {
            classes: ' csg-intro',
            load: function() {
                $('.csg-robot-option').removeClass('csg-active');
                setTimeout(function() {
                    CSG.aud.play('print');
                }, 1000);
                setTimeout(function() {
                    CSG.aud.play('print');
                }, 7000);
                setTimeout(function() {
                    CSG.aud.play('print-quick');
                }, 13000);
            },
            text: `
                        <div class="csg-intro-logo"></div>
                        <div class="csg-intro-logo-eu"></div>
                        <div class="csg-intro-logo-partners"></div>
                    `,
            buttons: [
                {
                    classes: ' csg-intro-start',
                    check: function() {return true;},
                    text: 'INICIAR',
                    action: function() {
                        CSG.aud.play('bg-music');
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('intro2');
                    }
                }
            ]
        },
        'intro2': {
            classes: ' csg-intro csg-box-entrance',
            load: function() {
                $('.csg-robot-option').removeClass('csg-active');
                CSG.aud.play('entry');
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Olá %USERNAME%! Bem-vindo! O meu nome é DoD.%BR%Prazer em conhecer-te!');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text">
                                
                            </div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Olá DoD! Prazer em conhecer-te também.',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('intro3');
                    }
                }
            ]
        },
        'intro3': {
            classes: ' csg-intro',
            load: function() {
                $('.csg-robot-option').removeClass('csg-active');
                setTimeout(function() {
                    CSG.cstm.typewriterNew('A tua aventura de aprendizagem começa aqui! Não Estás sozinho, estou aqui para te guiar!');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text">
                                
                            </div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ohhh isso é bom, obrigado!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('avatar');
                    }
                }
            ]
        },
        'avatar': {
            classes: ' csg-intro',
            load: function() {
                $('.csg-robot-option').removeClass('csg-active');
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Eu já estava à tua espera!%BR%Escolhe um avatar para começar!');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                        <div id="csg-avatar-choice">
                            <div class="csg-avatar-choose-0 csg-avatar-choose csg-avatar" data-type="0" onclick="CSG.cstm.avatarSet(0);CSG.aud.play('bip');"></div>
                            <div class="csg-avatar-choose-1 csg-avatar-choose csg-avatar" data-type="1" onclick="CSG.cstm.avatarSet(1);CSG.aud.play('bip');"></div>
                            <div class="csg-avatar-choose-2 csg-avatar-choose csg-avatar" data-type="2" onclick="CSG.cstm.avatarSet(2);CSG.aud.play('bip');"></div>
                            <div class="csg-avatar-choose-3 csg-avatar-choose csg-avatar" data-type="3" onclick="CSG.cstm.avatarSet(3);CSG.aud.play('bip');"></div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1 csg-hidden-option',
                    check: function() {return true;},
                    text: 'Submeter o meu avatar',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial1');
                        CSG.stt.state = 1;
                        CSG.gm.save();
                    }
                }
                
            ]
        },
        'tutorial1': {
            classes: ' csg-intro-exit',
            load: function() {
                $('.csg-robot-option').removeClass('csg-active');
                CSG.aud.play('print');
                CSG.cstm.avatarPosition('');
                CSG.cstm.avatarPosition('start');
                setTimeout(function() {
                    $('#csg-showcase').addClass('csg-active');
                    $('#csg-showcase').attr('data-position', 0);
                    $('.csg-intro-exit').removeClass('csg-intro-exit');
                    CSG.cstm.typewriterNew('Aqui está!%BR%Já te apercebeste que tens vários caminhos a percorrer, certo?%BR%Queres algumas dicas antes de começar?');
                }, 6000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-2',
                    check: function() {return true;},
                    text: 'Ohh, sim!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial2');
                    }
                },
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Não te preocupes, eu descubro sozinho!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        $('#csg-showcase').removeClass('csg-active');
                        setTimeout(function() {
                            CSG.msg.exit();
                            CSG.stt.state = 2;
                            CSG.gm.save();
                            $('.csg-intro-video').addClass('csg-here-i-am');
                        }, 1000);
                    }
                }
            ]
        },
        'tutorial2': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 1);
                    CSG.cstm.typewriterNew('Antes de começar, presta atenção: deves começar a tua viagem de aprendizagem assistindo ao vídeo introdutório. Para te deslocares no quadro basta clicar nos itens que estão disponíveis.');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ok, entendido! ',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial3');
                    }
                }
            ]
        },
        'tutorial3': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 3);
                    $('.csg-activity-star').addClass('showcase');
                    $('.csg-activity-medal').addClass('showcase');
                    CSG.cstm.typewriterNew('O objectivo é completar todos os itens de cada percurso da unidade de competência. Para cada item obrigatório completado, ganharás uma estrela. ');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Que bom. É ótimo receber estrelas!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial4');
                    }
                }
            ]
        },
        'tutorial4': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 4);
                    $('#csg-showcase-2').attr('data-position', 4);
                    $('#csg-showcase-2').addClass('csg-active');
                    $('.csg-activity-star').removeClass('showcase');
                    $('.csg-activity-medal').removeClass('showcase');
                    CSG.cstm.typewriterNew('O caminho da unidade de competência B e o jogo espacial são opcionais.');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Uau, fantástico...',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial5');
                    }
                }
            ]
        },
        'tutorial5': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 5);
                    $('#csg-showcase-2').attr('data-position', 5);
                    $('#csg-showcase-2').addClass('csg-active');
                    $('#csg-showcase-3').attr('data-position', 5);
                    $('#csg-showcase-3').addClass('csg-active');
                    $('#csg-showcase-4').attr('data-position', 5);
                    $('#csg-showcase-4').addClass('csg-active');
                    CSG.cstm.typewriterNew('Para cada item opcional completado, irás ganhar uma medalha. A CU:E só estará disponível quando tiveres completado a CU:A, CU:C e CU:D. No entanto, recomendo que sigas o caminho CU:A, CU:B, CU:C, CU:D e CU:E, por esta ordem. ');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Mas como é que sei o que Estás dentro de cada item?',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial6');
                    }
                }
            ]
        },
        'tutorial6': {
            classes: ' csg-message-no-click',
            load: function() {
                setTimeout(function() {
                    $('.csg-cu-label.csg-cu-label-D').addClass('csg-active');
                    $('#csg-showcase').removeClass('csg-active');
                    $('#csg-showcase-3').removeClass('csg-active');
                    $('#csg-showcase-4').removeClass('csg-active');
                    CSG.cstm.typewriterNew('Basta passar o rato por cima de cada item e aparecerá uma mensagem que te dará toda a informação.');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Boa, compreendido. Posso começar?',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial7');
                    }
                }
            ]
        },
        'tutorial7': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 7);
                    $('.csg-cu-label.csg-cu-label-D').removeClass('csg-active');
                    
                    $('#csg-showcase').addClass('csg-active').attr('data-position', 7);
                    $('#csg-showcase-2').addClass('csg-active').attr('data-position', 7);
                    $('#csg-showcase-3').addClass('csg-active').attr('data-position', 7);
                    $('#csg-showcase-4').addClass('csg-active').attr('data-position', 7);
                    $('#csg-showcase-5').addClass('csg-active').attr('data-position', 7);
                    $('#csg-showcase-6').addClass('csg-active').attr('data-position', 7);
                    CSG.cstm.typewriterNew('Queres descobrir o código secreto, certo? É fácil. Como vês, cada caminho de CU dá-te acesso a um item. Deves completar o caminho de modo a chegar à impressora que te imprimirá o item necessário para o "código secreto". Okay?');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Muito bem, estou pronto!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('tutorial8');
                    }
                }
            ]
        },
        'tutorial8': {
            classes: ' ',
            load: function() {
                setTimeout(function() {
                    $('#csg-showcase').attr('data-position', 8);
                    $('#csg-showcase-2').removeClass('csg-active');
                    $('#csg-showcase-3').removeClass('csg-active');
                    $('#csg-showcase-4').removeClass('csg-active');
                    $('#csg-showcase-5').removeClass('csg-active');
                    $('#csg-showcase-6').removeClass('csg-active');
                    CSG.cstm.typewriterNew('Vou colocar esta informação aqui... se tiveres alguma dúvida, basta clicar neste ícone. Quando estiveres pronto, toca no ícone de vídeo para começar! Até breve!');
                    $('#csg-info-mask ').addClass('csg-active');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ok, obrigado, até breve!',
                    action: function() {
                        $('#csg-showcase').removeClass('csg-active').attr('data-position', '');
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                    $('#csg-info-mask ').removeClass('csg-active');
                        CSG.aud.play('bip');
                        setTimeout(function() {
                            CSG.msg.exit();
                            CSG.stt.state = 2;
                            CSG.gm.save();
                            $('.csg-intro-video').addClass('csg-here-i-am');
                        }, 1000);
                    }
                }
            ]
        },
        'message-0': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Parabéns! Ganhaste uma estrela! Onde ir agora? Recomendo que passes para o vídeo da CU:A...');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 0, false );
                    CSG.cstm.letterPreview( 0 );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Obrigado, DoD! Vamos!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-0B');
                    }
                }
            ]
        },
        'message-0B': {
            classes: '',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Parabéns, a tua primeira letra já foi impressa! Experimenta agora o vídeo da CU:A.');
                }, 3000);
                CSG.cstm.letterGive( 0, false );
                CSG.cstm.letterPreviewRemove(0);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Sim DoD! Que fixe!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[0] = 1;
                        setTimeout( function(){
                            CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-1': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Então, gostaste do jogo? É uma forma divertida de aprender coisas novas, não é?');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 1, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Sim, foi engraçado e interessante. Obrigado, DoD!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[1] = 1;
                        setTimeout( function(){
                            CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-2': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Ótimo, mais uma estrela! Estás pronto para o próximo módulo de treino.');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 2, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ok! Mais uma estrela para a coleção!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[2] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-3': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Estás a ir muito bem! És uma estrela! Pronto para algumas perguntas?');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 3, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Espero que sim!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[3] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-4': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Avaliação feita! Vamos ver o que acontece agora na impressora...');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 4, false );
                    CSG.cstm.letterPreview( 1 );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Sim, obrigado DoD!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-4B');
//                        CSG.stt.alerts[4] = 1;
                    }
                }
            ]
        },
        'message-4B': {
            classes: '',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Ótimo! Aqui está uma letra para desbloquear o código secreto! Vamos continuar - Experimenta agora o vídeo da CU:B.');
                }, 3000);
                CSG.cstm.letterGive( 1, false );
                CSG.cstm.letterPreviewRemove(1);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Sim, muito obrigado DoD!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[4] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-5': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Ótimo, mais uma estrela! Experimenta o próximo módulo de treino.  ');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 5, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Obrigado DoD! Eu continuo!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[5] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-6': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Mais uma! Estás no caminho certo, continua para o questionário!');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 6, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Sim, vou continuar!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[6] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-7': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Já tens agora várias medalhas. És o melhor! Vamos experimentar o vídeo da CU:C agora?');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 7, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ohhh, obrigado DoD!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[7] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-8': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Ótimo, mais uma estrela! Experimenta o próximo módulo de treino.  ');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 8, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Sim, mais um para a coleção!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[8] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-9': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Mais um! Estás no caminho certo! Avançar para o questionário');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 9, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Vamos!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[9] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-10': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Vamos!');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 10, false );
                    CSG.cstm.letterPreview( 2 );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Vamos, DoD!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-10B');
                    }
                }
            ]
        },
        'message-10B': {
            classes: '',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Ótimo! Aqui tens uma nova letra com o código secreto! Vamos experimentar agora o vídeo da CU:D?');
                }, 3000);
                CSG.cstm.letterGive( 2, false );
                CSG.cstm.letterPreviewRemove(2);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Sim! Que bom!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[10] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-11': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Ótimo, mais uma estrela! Vamos tentar o próximo módulo de formação');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 11, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Obrigado! Vou continuar!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[11] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-12': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Estás a ir muito bem! És uma estrela! Agora Estás preparado para um breve questionário...');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 12, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ohhh, obrigado! Sim, eu vou seguir em frente!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[12] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-13': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Ótimo!  Concluiu a avaliação!   Vamos ver o que acontece agora na impressora...');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 13, false );
                    CSG.cstm.letterPreview( 3 );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Sim, obrigado DoD!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-13B');
                    }
                }
            ]
        },
        'message-13B': {
            classes: '',
            load: function() {
                setTimeout(function() {
//                    CSG.cstm.typewriterNew('How cool! Here’s one more letter to unlock the secret code! Try CU:E video now.');
                    CSG.cstm.typewriterNew('Que fixe! Aqui está mais uma letra para desbloquear o código secreto! Experimenta agora o vídeo CU:E.');
                }, 3000);
                CSG.cstm.letterGive( 3, false );
                CSG.cstm.letterPreviewRemove(3);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Ótimo, muito obrigado! Vamos, DoD!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[13] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-14': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Sim, obrigado DoD!');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 14, false );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Obrigado, DoD! Vamos lá!',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[14] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                }
            ]
        },
        'message-15': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Esta avaliação Está feita! continua! Prestemos atenção à impressora...');
                }, 5000);
                setTimeout(function() {
                    CSG.cstm.starGive( 15, false );
                    CSG.cstm.letterPreview( 4 );
                }, 1000);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Sim DoD! Eu continuo!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-15B');
                    }
                }
            ]
        },
        'message-15B': {
            classes: '',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Parabéns, o código secreto foi revelado!');
                }, 3000);
                CSG.cstm.letterGive( 4, false );
                CSG.cstm.letterPreviewRemove(4);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Sim DoD! É fantástico!',
                    action: function() {
                        CSG.aud.play('bip');
                        CSG.msg.exit();
                        CSG.msg.add('message-15C');
                    }
                }
            ]
        },
        'message-15C': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Então, gostaste do jogo? É uma forma divertida de aprender coisas novas, não é?');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-3',
                    check: function() {return true;},
                    text: 'Vou dar uma vista de olhos ao jogo espacial :)',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[15] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                },
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Vou verificar se visitei tudo... Deixe-me ver...',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        CSG.stt.alerts[15] = 1;
                        setTimeout( function(){
                        CSG.msg.exit();
                            CSG.cstm.messageCheck();
                        }, 1000 );
                    }
                },
                {
                    classes: ' csg-robot-option csg-robot-option-5',
                    check: function() {return true;},
                    text: 'Ir para demoordieproject.eu',
                    action: function() {
                        
                        CSG.aud.play('bip');
                        window.open('https://demoordieproject.eu/', '_blank');
                    }
                }
            ]
        },
        'complete': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Está tudo concluído! Espero que tenhas gostado e que tenhas aprendido coisas novas que te serão úteis! Foi um prazer conhecer-te, #Nome de utilizador#. Que tal ires visitar o nosso website?');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Foi Ótimo conhecer-te, DoD... e, claro, aprendi muitas coisas novas! Muito obrigado.',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        
                        setTimeout( function(){
                        CSG.msg.exit();
                        }, 1000 );
                    }
                },
                {
                    classes: ' csg-robot-option csg-robot-option-4',
                    check: function() {return true;},
                    text: 'Ir para demoordieproject.eu',
                    action: function() {
                        
                        CSG.aud.play('bip');
                        window.open('https://demoordieproject.eu/', '_blank');
                    }
                }
            ]
        },
        'exit': {
            classes: '  csg-box-entrance',
            load: function() {
                setTimeout(function() {
                    CSG.cstm.typewriterNew('Então, vais-te embora agora?');
                }, 1500);
            },
            text: `
                        <div class="csg-robot-box">
                            <div class="csg-robot-text"></div>
                            <div class="csg-robot">
                                <div class="csg-robot-body"></div>
                            </div>
                        </div>
                    `,
            buttons: [
                {
                    classes: ' csg-robot-option csg-robot-option-3',
                    check: function() {return true;},
                    text: 'Não, eu cliquei aqui por engano! :)',
                    action: function() {
                        $('.csg-robot-box, .csg-message-button').addClass('csg-robot-exit');
                        CSG.aud.play('bip');
                        setTimeout( function(){
                        CSG.msg.exit();
                        }, 1000 );
                    }
                },
                {
                    classes: ' csg-robot-option csg-robot-option-1',
                    check: function() {return true;},
                    text: 'Sim, agora tenho de ir, volto mais tarde! Até breve, Demo!',
                    action: function() {
                        CSG.gm.save();CSG.gm.exit();
                    }
                }
            ]
        }
    },
    functions: {
        start: function() {
                
                
            if ( CSG.gm.loaded ) {
                setTimeout( function() {
                    if ( typeof CSG.stt.position !== 'undefined' ) {
                        CSG.cstm.avatarPosition( CSG.stt.position, true );
                    } else {
                        CSG.cstm.avatarPosition( '', true );
                    }
                }, 10 )
                $('body').on('click', function() {
                    if ( $('#csg-popup-block-window.csg-active').length === 0 ) {
                        CSG.aud.play('bg-music');
                    }
                });
                CSG.cstm.avatarUpdate();
//                console.log(CSG.stt.lastSave)
                CSG.aud.play('bg-music');
                if ( CSG.stt.state === 0 ) {
                    CSG.msg.add('intro');
                } else if ( CSG.stt.state === 1 ) {
                    CSG.msg.add('tutorial1');
                } else {
                    CSG.cstm.letterAndStarCheck();
                    CSG.cstm.messageCheck();
                }
                if ( CSG.stt.music ) {
                    $('.csg-music-button-on').hide();
                    $('.csg-music-button-off').show();
                } else {
                    
                    $('.csg-music-button-on').show();
                    $('.csg-music-button-off').hide();
                }
            } else {
                setTimeout(function() {
                    CSG.cfg.functions.start();
                }, 10);
            }
        },
        medals: function() {
            
        },
        alerts: function() {
            
        },
        custom: function() {
           
        }
    },
    language: {
        points: 'Points'
    },

//    dataStorageUrl: null, // Ou 'local' ou url externo ou null
//     dataStorageUrl: 'local', // Ou 'local' ou url externo ou null
   dataStorageUrl: 'https://learnexperience.isqe.com/skins/dod/fn/csg-mem.php', // Ou 'local' ou url externo ou null
    exitLink: 'https://isqe.pt/moodleisqe/my/courses.php' //Link or null
};